<?php

/**
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

declare(strict_types=1);

namespace Chill\MainBundle\Notification\Templating;

use Chill\MainBundle\Notification\NotificationPresence;
use Twig\Environment;
use Twig\Extension\RuntimeExtensionInterface;

class NotificationTwigExtensionRuntime implements RuntimeExtensionInterface
{
    private NotificationPresence $notificationPresence;

    public function __construct(NotificationPresence $notificationPresence)
    {
        $this->notificationPresence = $notificationPresence;
    }

    public function listNotificationsFor(Environment $environment, string $relatedEntityClass, int $relatedEntityId, array $options = []): string
    {
        $notifications = $this->notificationPresence->getNotificationsForClassAndEntity($relatedEntityClass, $relatedEntityId);

        if ([] === $notifications) {
            return '';
        }

        return $environment->render('@ChillMain/Notification/extension_list_notifications_for.html.twig', [
            'notifications' => $notifications,
        ]);
    }
}
